Bug 223076 - devel/universal-ctags conflicts with emacs ctags executable should rename as done by devel/ctags
Summary: devel/universal-ctags conflicts with emacs ctags executable should rename as ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-18 03:16 UTC by carl.shapiro
Modified: 2017-10-29 13:46 UTC (History)
3 users (show)

See Also:


Attachments
resolve conflicts with emacs ctags and update to latest commit (2.44 KB, patch)
2017-10-18 04:54 UTC, Derek Schrock
no flags Details | Diff
11amd64 testport output (124.56 KB, text/plain)
2017-10-18 04:55 UTC, Derek Schrock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description carl.shapiro 2017-10-18 03:16:48 UTC
The new devel/universal-ctags port conflicts with editors/emacs as they both install an executable at /usr/local/bin/ctags.

The old devel/ctags port installs its executable at /usr/local/bin/exctags.  I propose doing something similar here, and changing the installation path to /usr/local/bin/uctags or /usr/local/bin/universal-ctags.
Comment 1 Derek Schrock 2017-10-18 04:54:53 UTC
Created attachment 187258 [details]
resolve conflicts with emacs ctags and update to latest commit

Phab review here https://reviews.freebsd.org/D12710
Comment 2 Derek Schrock 2017-10-18 04:55:19 UTC
Created attachment 187259 [details]
11amd64 testport output
Comment 3 carl.shapiro 2017-10-23 02:32:20 UTC
The diff looks great, thank you!  Is there anything you might need from me to move forward?
Comment 4 commit-hook freebsd_committer 2017-10-26 22:15:31 UTC
A commit references this bug:

Author: rodrigo
Date: Thu Oct 26 22:14:35 UTC 2017
New revision: 452957
URL: https://svnweb.freebsd.org/changeset/ports/452957

Log:
  Fix conflicts with emacs ctags (editors/emacs-devel, editors/emacs-nox11, editors/emacs)
  by prefix the 'u' character.

  PR:		223076
  Submitted by:	<carl.shapiro@gmail.com

Changes:
  head/UPDATING
  head/devel/universal-ctags/Makefile
  head/devel/universal-ctags/distinfo
Comment 5 Rodrigo Osorio freebsd_committer 2017-10-29 13:46:08 UTC
committed thanks